Page MenuHomePhabricator

meta=globaluserinfo doesn't display homewiki
Closed, ResolvedPublic

Description

http://en.wikipedia.org/w/api.php?action=query&meta=globaluserinfo&guiuser=Catrope&guiprop=groups|merged|unattached

<globaluserinfo home="" id="2331" registration="2008-05-27T17:17:49Z">

http://en.wikipedia.org/wiki/Special:CentralAuth/Catrope

Home wiki: mediawikiwiki


Version: unspecified
Severity: minor

Details

Reference
bz28768

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:30 PM
bzimport set Reference to bz28768.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.May 1 2011, 7:09 PM
brion added a comment.Jun 6 2011, 11:50 PM

Offhand ApiQueryGlobalUserInfo.php looks correctish. Needs to be double-checked and debugged.

Reedy added a comment.Jun 6 2011, 11:58 PM

Looking against it, it seems the Special:CentralAuth does it completely differently..

Changing default assignee per IRC

mysql:wikiadmin@db1041 [centralauth]> select gu_home_db from globaluser where gu_name = 'Reedy';
+------------+

gu_home_db

+------------+

NULL

+------------+
1 row in set (0.02 sec)

mysql:wikiadmin@db1041 [centralauth]> select distinct gu_home_db from globaluser;
+------------+

gu_home_db

+------------+

NULL

+------------+
1 row in set (2 min 50.22 sec)

Related URL: https://gerrit.wikimedia.org/r/58873 (Gerrit Change I5f8f9032c84a5ddaef43459f1b5a256df232adf3)

https://gerrit.wikimedia.org/r/58873 (Gerrit Change I5f8f9032c84a5ddaef43459f1b5a256df232adf3) | change APPROVED and MERGED [by jenkins-bot]